PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveIndex2D::Matrix Struct Reference

`#include <solvers/optical/effective/eim.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveIndex2D::Matrix:
[legend]

## Public Member Functions
| Matrix ()=default
| Matrix (dcomplex t1, dcomplex t2, dcomplex t3, dcomplex t4)
Matrix | operator* (const Matrix &T)
Field | solve (const Field &v)

## Static Public Member Functions
static Matrix | eye ()
static Matrix | diag (dcomplex f, dcomplex b)

## Public Attributes
dcomplex | ff
dcomplex | fb
dcomplex | bf
dcomplex | bb

## Detailed Description

Definition at line 60 of file eim.hpp.

## Constructor & Destructor Documentation

## ◆ Matrix() [1/2]

plask::optical::effective::EffectiveIndex2D::Matrix::Matrix | ( |  | ) |
| default

## ◆ Matrix() [2/2]

plask::optical::effective::EffectiveIndex2D::Matrix::Matrix | ( | dcomplex | t1,
|  | dcomplex | t2,
|  | dcomplex | t3,
|  | dcomplex | t4
| ) |  |
| inline

Definition at line 63 of file eim.hpp.

## Member Function Documentation

## ◆ diag()

static Matrix plask::optical::effective::EffectiveIndex2D::Matrix::diag | ( | dcomplex | f,
|  | dcomplex | b
| ) |  |
| inline static

Definition at line 65 of file eim.hpp.

## ◆ eye()

static Matrix plask::optical::effective::EffectiveIndex2D::Matrix::eye | ( |  | ) |
| inline static

Definition at line 64 of file eim.hpp.

## ◆ operator*()

Matrix plask::optical::effective::EffectiveIndex2D::Matrix::operator* | ( | const Matrix & | T | ) |
| inline

Definition at line 66 of file eim.hpp.

## ◆ solve()

Field plask::optical::effective::EffectiveIndex2D::Matrix::solve | ( | const Field & | v | ) |
| inline

Definition at line 69 of file eim.hpp.

## Member Data Documentation

## ◆ bb

dcomplex plask::optical::effective::EffectiveIndex2D::Matrix::bb

Definition at line 61 of file eim.hpp.

## ◆ bf

dcomplex plask::optical::effective::EffectiveIndex2D::Matrix::bf

Definition at line 61 of file eim.hpp.

## ◆ fb

dcomplex plask::optical::effective::EffectiveIndex2D::Matrix::fb

Definition at line 61 of file eim.hpp.

## ◆ ff

dcomplex plask::optical::effective::EffectiveIndex2D::Matrix::ff

Definition at line 61 of file eim.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/eim.hpp